changeset 811:aea72ecff868

Comment tweaks, better document what it's doing.
author Rob Landley <rob@landley.net>
date Fri, 21 Aug 2009 23:21:57 -0500
parents 4cfa8c130605
children 4e1e6aa7f445
files run-from-build.sh
diffstat 1 files changed, 12 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/run-from-build.sh	Fri Aug 21 22:56:13 2009 -0500
+++ b/run-from-build.sh	Fri Aug 21 23:21:57 2009 -0500
@@ -1,25 +1,31 @@
 #!/bin/bash
 
+# Read the configuration files for this target.
+
 source sources/include.sh || exit 1
-
 read_arch_dir "$1"
 
+# Fail if this target hasn't been built yet.
+
 SYSDIR="${BUILD}/system-image-$ARCH_NAME"
-
 if [ ! -f "$SYSDIR/run-emulator.sh" ]
 then
   [ -z "$FAIL_QUIET" ] && echo "No $SYSDIR/run-emulator.sh" >&2
   exit 1
 fi
+cd "$SYSDIR" || exit 1
 
-cd "$SYSDIR" || exit 1
+# Should we create a 2 gigabyte /dev/hdb image to provide the emulator with
+# some writable scratch space?  (If one already exists, fsck it.)  This
+# image (if it exists) will be mounted on /home by the emulated system's
+# init script.
 
 [ -z "$SKIP_HOME" ] && [ -z "$MAKE_HDB" ] && MAKE_HDB="--make-hdb 2048"
-
-# A little paranoia.
 [ -f "image-${ARCH}.ext2" ] && fsck.ext2 -y "image-${ARCH}.ext2" </dev/null
 
-# And run it, using the distccd we built (if necessary) and the cross-compiler.
+# Run the emulator, using the distccd we built (if necessary) to dial out
+# to the cross-compiler.  If emulator is killed, take down distccd processes
+# as well.
 
 trap "killtree $$" EXIT